#ifndef _HF_FIELD_MULTIPLIER_
#define _HF_FIELD_MULTIPLIER_

typedef struct FieldMultiplier FieldMultiplier;

#include "card.h"

struct FieldMultiplier {
  char *name;
  int value;
};

static const FieldMultiplier small_field = { "Small Field", 1 };
static const FieldMultiplier large_field = { "Large Field", 2 };
static const FieldMultiplier grand_field = { "Grand Field", 4 };

const FieldMultiplier *calculate_field_multiplier(Hand *h);

#endif
